/*  This file is part of the KDE project
    Copyright (C) 2007 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFB_SIGNATURE_H
#define KFB_SIGNATURE_H

#include <QByteArray>
#include <QStringList>
#include <kfacebook/kfacebook_export.h>

namespace KFacebook {

class KDE_EXPORT Signature
{
public:
    /**
     * generate a signature
     * * and the given secret
     * @param params a list of parameters in param=value format,
     * @param secret A facebook API secret
     * @return the corresponding signature
     */
    QByteArray generate( const QStringList &params, const QString & secret );
};

} // namespace KFacebook

#endif // KFB_SIGNATURE_H
